## WebKitDOMHTMLMetaElement WebKitDOMHTMLMetaElement |

## Functions

gchar * | webkit_dom_html_meta_element_get_content ()
void | webkit_dom_html_meta_element_set_content ()
gchar * | webkit_dom_html_meta_element_get_http_equiv ()
void | webkit_dom_html_meta_element_set_http_equiv ()
gchar * | webkit_dom_html_meta_element_get_name ()
void | webkit_dom_html_meta_element_set_name ()
gchar * | webkit_dom_html_meta_element_get_scheme ()
void | webkit_dom_html_meta_element_set_scheme ()

## Properties

gchar * | content | Read / Write
gchar * | http-equiv | Read / Write
gchar * | name | Read / Write
gchar * | scheme | Read / Write

## Types and Values

struct | WebKitDOMHTMLMetaElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLMetaElement

## Implemented Interfaces

WebKitDOMHTMLMetaElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_meta_element_get_content ()

    gchar *
    webkit_dom_html_meta_element_get_content
                                   (WebKitDOMHTMLMetaElement *self);

#### Parameters

self | A WebKitDOMHTMLMetaElement |

#### Returns

A gchar

### webkit_dom_html_meta_element_set_content ()

    void
    webkit_dom_html_meta_element_set_content
                                   (WebKitDOMHTMLMetaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMetaElement |
value | A gchar |

### webkit_dom_html_meta_element_get_http_equiv ()

    gchar *
    webkit_dom_html_meta_element_get_http_equiv
                                   (WebKitDOMHTMLMetaElement *self);

#### Parameters

self | A WebKitDOMHTMLMetaElement |

#### Returns

A gchar

### webkit_dom_html_meta_element_set_http_equiv ()

    void
    webkit_dom_html_meta_element_set_http_equiv
                                   (WebKitDOMHTMLMetaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMetaElement |
value | A gchar |

### webkit_dom_html_meta_element_get_name ()

    gchar *
    webkit_dom_html_meta_element_get_name (WebKitDOMHTMLMetaElement *self);

#### Parameters

self | A WebKitDOMHTMLMetaElement |

#### Returns

A gchar

### webkit_dom_html_meta_element_set_name ()

    void
    webkit_dom_html_meta_element_set_name (WebKitDOMHTMLMetaElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMetaElement |
value | A gchar |

### webkit_dom_html_meta_element_get_scheme ()

    gchar *
    webkit_dom_html_meta_element_get_scheme
                                   (WebKitDOMHTMLMetaElement *self);

#### Parameters

self | A WebKitDOMHTMLMetaElement |

#### Returns

A gchar

### webkit_dom_html_meta_element_set_scheme ()

    void
    webkit_dom_html_meta_element_set_scheme
                                   (WebKitDOMHTMLMetaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMetaElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLMetaElement

    struct WebKitDOMHTMLMetaElement;

## Property Details

### The `“content”` property

      “content”                  gchar *

read-write gchar* HTMLMetaElement:content.

Flags: Read / Write

Default value: ""

### The `“http-equiv”` property

      “http-equiv”               gchar *

read-write gchar* HTMLMetaElement:http-equiv.

Flags: Read / Write

Default value: ""

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLMetaElement:name.

Flags: Read / Write

Default value: ""

### The `“scheme”` property

      “scheme”                   gchar *

read-write gchar* HTMLMetaElement:scheme.

Flags: Read / Write

Default value: ""